## python-xsdata 22.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild -b html . _build --ignore "api/reference/*" --watch ../

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-xsdata (22.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 16 Feb 2022 21:19:41 +0000

python-xsdata (22.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Jan 2022 07:28:02 +0000

python-xsdata (21.12-1) unstable; urgency=low

  * Initial release (Closes: #976444).

 -- Michael Fladischer <fladi@debian.org>  Sat, 18 Dec 2021 17:51:16 +0000

=== debian/control ===
Source: python-xsdata
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adam Cecile <acecile@le-vert.net>,
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-sphinxdoc <!nodoc>,
 help2man,
 python3-all (>= 3.6),
 python3-click,
 python3-click-default-group,
 python3-click-log,
 python3-doc,
 python3-docformatter,
 python3-jinja2,
 python3-lxml,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-requests,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-autobuild <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.programoutput <!nodoc>,
 python3-toposort,
Standards-Version: 4.6.0.1
Homepage: https://github.com/tefra/xsdata
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xsdata
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xsdata.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-xsdata-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Naive XML Bindings for Python (common documentation)
 xsData is a complete XML data binding library for Python allowing developers
 to access and use XML documents as simple objects rather than using DOM.
 .
 It ships with a code generator for XML Schema definitions and WSDL 1.1 with
 SOAP 1.1 bindings. It produces simple dataclasses with type hints that don't
 depend on the library itself in order to reduce the learning curve for users
 that have to write the binding models manually.
 .
 The included xml parser and serializer are highly optimized and adaptable
 with handlers based on native Python and lxml. The parser configuration
 offers the ability to skip unknown properties and to process xinclude
 statements.
 .
 xsData is constantly tested against the W3C XML Schema 1.1 test suite.
 .
 This is the common documentation package.

Package: python3-xsdata
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-xsdata-doc,
Description: Naive XML Bindings for Python (Python 3)
 xsData is a complete XML data binding library for Python allowing developers
 to access and use XML documents as simple objects rather than using DOM.
 .
 It ships with a code generator for XML Schema definitions and WSDL 1.1 with
 SOAP 1.1 bindings. It produces simple dataclasses with type hints that don't
 depend on the library itself in order to reduce the learning curve for users
 that have to write the binding models manually.
 .
 The included xml parser and serializer are highly optimized and adaptable
 with handlers based on native Python and lxml. The parser configuration
 offers the ability to skip unknown properties and to process xinclude
 statements.
 .
 xsData is constantly tested against the W3C XML Schema 1.1 test suite.
 .
 This package installs the library for Python 3.

## python-xsdata 22.4

=== debian/changelog ===
python-xsdata (22.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Apr 2022 19:07:00 +0000

python-xsdata (22.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Mar 2022 16:58:28 +0000

## python-xsdata 22.11

=== debian/changelog ===
python-xsdata (22.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 22 Nov 2022 09:47:07 +0000

python-xsdata (22.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-xsdata-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:14:16 +0000

python-xsdata (22.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 09 Oct 2022 21:01:11 +0000

python-xsdata (22.8-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Sep 2022 16:28:11 +0000

python-xsdata (22.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 20:12:17 +0100

## python-xsdata 22.12

=== debian/changelog ===
python-xsdata (22.12-1) unstable; urgency=low

  * New upstream release (Closes: #1026741).
  * Refresh patches.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 00:01:37 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  dh-sequence-sphinxdoc <!nodoc>,
  help2man,
- python3-all (>= 3.6),
+ python3-all,
  python3-click,
  python3-click-default-group,
  python3-click-log,
@@ -29,7 +29,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
  python3-toposort,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/tefra/xsdata
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xsdata
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xsdata.git
@@ -42,6 +42,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Naive XML Bindings for Python (common documentation)
  xsData is a complete XML data binding library for Python allowing developers
  to access and use XML documents as simple objects rather than using DOM.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xsdata

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
	rm -rf docs/api/reference/*
	rm -f $(PYBUILD_NAME).1

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME) \
	  --no-info \
	  --section 1 \
	  --name "$(shell grep '^Description' debian/control | head -n 1 | cut -d: -f2)" \
	  > $(PYBUILD_NAME).1
	# Not sure why help2man generate broken file here
	sed -i 's!xsdata,!xsdata!g' xsdata.1
	sed -i 's!XSDATA,!XSDATA!g' xsdata.1

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## python-xsdata 23.7

=== debian/changelog ===
python-xsdata (23.7-1) unstable; urgency=medium

  * New upstream version 23.7
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Jul 2023 21:48:49 +0000

python-xsdata (23.6-1) unstable; urgency=medium

  * New upstream version 23.6
  * Refresh patches and drop obsolete ones.
  * Add python3-typing-extensions to Build-Depends, required by tests.
  * Use pyproject.toml in both build-time and autopkgtests.
  * Simplify building the documentation by building it directly in proper location.
  * Simplify d/rules by using execute_after_ targets instead of overrides.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Jun 2023 16:48:38 +0000

python-xsdata (23.5-1) unstable; urgency=medium

  * New upstream version 23.5
  * Bump Standards-Version to 4.6.2.
  * Build using pybuild-plugin-pyproject.
  * Add python3-sphinx-inline-tabs to Build-Depends, required by
    documentation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Jun 2023 21:36:49 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-python,
  dh-sequence-sphinxdoc <!nodoc>,
  help2man,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-click,
  python3-click-default-group,
@@ -26,10 +27,12 @@
  python3-sphinx-autobuild <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-inline-tabs <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
  python3-toposort,
-Standards-Version: 4.6.1.0
+ python3-typing-extensions,
+Standards-Version: 4.6.2
 Homepage: https://github.com/tefra/xsdata
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xsdata
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xsdata.git

=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,19 @@
 export PYBUILD_NAME=xsdata
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_clean:
 	rm -rf .pytest_cache
 	rm -rf docs/api/reference/*
 	rm -f $(PYBUILD_NAME).1
 
-override_dh_auto_build:
-	dh_auto_build
-ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
+execute_before_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-xsdata-doc/usr/share/doc/python-xsdata-doc/html
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME) \
 	  --no-info \
 	  --section 1 \

## python-xsdata 24.1

=== debian/changelog ===
python-xsdata (24.1-2) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * python3-xsdata: Depend on ruff. Closes: #1088876.
  * autopkgtest: skip-not-installable

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 01:55:48 +0200

python-xsdata (24.1-1) unstable; urgency=low

  * New upstream version 24.1
  * Refresh patches.
  * Update year in d/copyright.
  * Add python3-ruff to Build-Depends, required by tests.
  * Add patch to fix configuration compatibility with ruff 0.0.291.

 -- Michael Fladischer <fladi@debian.org>  Tue, 02 Apr 2024 18:41:14 +0000

python-xsdata (23.8-1) unstable; urgency=medium

  * New upstream version 23.8
  * Refresh patches.
  * Add patch to remove dependency-checking abstraction for console_script
    entry_point.
  * Move xsdata cli script to separate package to avoid having unnecessary
    dependencies on the core library.
  * Replace help2man with click-man to get detailed manpages for all
    subcommands.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Aug 2023 13:32:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-sphinxdoc <!nodoc>,
- help2man,
  pybuild-plugin-pyproject,
  python3-all,
  python3-click,
  python3-click-default-group,
  python3-click-log,
+ python3-click-man,
  python3-doc,
  python3-docformatter,
  python3-jinja2,
@@ -22,6 +22,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-requests,
+ python3-ruff <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-autobuild <!nodoc>,
@@ -69,6 +70,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ruff,
 Suggests:
  python-xsdata-doc,
 Description: Naive XML Bindings for Python (Python 3)
@@ -88,3 +90,35 @@
  xsData is constantly tested against the W3C XML Schema 1.1 test suite.
  .
  This package installs the library for Python 3.
+
+Package: xsdata
+Architecture: all
+Section: devel
+Depends:
+ python3-click,
+ python3-click-default-group,
+ python3-docformatter,
+ python3-jinja2,
+ python3-toposort,
+ python3-xsdata (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ python3-xsdata (<< 23.8),
+Replaces:
+ python3-xsdata (<< 23.8),
+Description: Naive XML Bindings for Python
+ xsData is a complete XML data binding library for Python allowing developers
+ to access and use XML documents as simple objects rather than using DOM.
+ .
+ It ships with a code generator for XML Schema definitions and WSDL 1.1 with
+ SOAP 1.1 bindings. It produces simple dataclasses with type hints that don't
+ depend on the library itself in order to reduce the learning curve for users
+ that have to write the binding models manually.
+ .
+ The included xml parser and serializer are highly optimized and adaptable
+ with handlers based on native Python and lxml. The parser configuration
+ offers the ability to skip unknown properties and to process xinclude
+ statements.
+ .
+ xsData is constantly tested against the W3C XML Schema 1.1 test suite.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf .pytest_cache
	rm -rf docs/api/reference/*
	rm -f xsdata*.1

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-xsdata-doc/usr/share/doc/python-xsdata-doc/html
endif

execute_before_dh_installman:
	PYTHONPATH=$$(pybuild --print build_dir |awk '{print $$3}') python3 -m click_man --target $(CURDIR) xsdata

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions: allow-stderr, skip-not-installable

## python-xsdata 26.2

=== debian/changelog ===
python-xsdata (26.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Refresh Remove-dependency-checking-abstraction-for-console_script patch.
    - Drop ruff 0.0.291 compatibility patch; not enough anymore.
    - Replace-ruff-with-black-until-ruff-in-Debian-gets-into-sh.patch.
    - Remove obsolete Build-Dependencies.
  * Switch to the new mkdocs documentation (Closes: #1114337)
    - Drop Sphinx-related debian/patches.
    - Add mkdocs scaffolding (dh-sequence-mkdocs, dh_mkdocs overrides etc.)
    - Add patch to remove badges from README.md, as these constitute a privacy
      breach.
    - Add patch to disable the minify plugin (doesn't exist in Debian).
    - Add patch to fix a bug where build paths would be encoded in the
      generated API documentation.
    - Replace mkdocs-materials Google Fonts with static copy
  * Replace ruff with black; ruff in Debian is very old, and updating it to a
    newer upstream is a complex endeavour that is being worked on for a few
    months now (#1068248). Until this materializes, fall back to black.
  * Revert autopkgtest skip-not-installable change, as this is now deprecated,
    and its presence was not justified by comments and commit messages.
  * Remove Priority: optional, the default now.
  * Remove Rules-Requires-Root: no, the default now.
  * Use dh-sequence-python3 instead of dh --with python3.
  * Update debian/watch to version 5.
  * Bump copyright years; add myself
  * Bump Standards-Version to 4.7.3.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 02 Mar 2026 15:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-xsdata
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Adam Cecile <acecile@le-vert.net>,
@@ -8,44 +7,42 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- dh-sequence-sphinxdoc <!nodoc>,
+ dh-sequence-mkdocs <!nodoc>,
+ dh-sequence-python3,
+ black <!nocheck>,
+ fonts-roboto-fontface <!nodoc>,
+ mkdocs <!nodoc>,
+ mkdocs-gen-files <!nodoc>,
+ mkdocs-literate-nav <!nodoc>,
+ mkdocs-material <!nodoc>,
+ mkdocstrings-python-handlers <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-click,
- python3-click-default-group,
- python3-click-log,
  python3-click-man,
  python3-doc,
- python3-docformatter,
  python3-jinja2,
  python3-lxml,
+ python3-markdown-exec <!nodoc>,
+ python3-pymdownx <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-requests,
- python3-ruff <!nocheck>,
  python3-setuptools,
- python3-sphinx <!nodoc>,
- python3-sphinx-autobuild <!nodoc>,
- python3-sphinx-autodoc-typehints <!nodoc>,
- python3-sphinx-copybutton <!nodoc>,
- python3-sphinx-inline-tabs <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
- python3-sphinxcontrib.programoutput <!nodoc>,
  python3-toposort,
  python3-typing-extensions,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tefra/xsdata
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xsdata
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xsdata.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-xsdata-doc
 Architecture: all
 Section: doc
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends},
+ ${mkdocs:Depends},
 Multi-Arch: foreign
 Description: Naive XML Bindings for Python (common documentation)
  xsData is a complete XML data binding library for Python allowing developers
@@ -70,7 +67,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- ruff,
+ black,
 Suggests:
  python-xsdata-doc,
 Description: Naive XML Bindings for Python (Python 3)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -f xsdata*.1

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	  PATH=$(shell pybuild --print build_dir --interpreter python3)/../scripts:$$PATH \
	  mkdocs build --no-directory-urls -d build/html
	# strip Google Fonts and point to a local copy instead
	cp /usr/share/fonts-roboto-fontface/css/roboto/roboto-fontface.css build/html/assets/stylesheets/
	find build/html -type f -name "*.html" -exec \
	  sed -i \
	    -e '\,link rel="preconnect" href="https://fonts.*,d' \
	    -e 's,href="https://fonts.googleapis.com/css?family=Roboto[^"]*",href="../assets/stylesheets/roboto-fontface.css",' \
	{} \;
endif

override_dh_mkdocs:
	dh_mkdocs -T mkdocs-material -T fonts-roboto-fontface

execute_before_dh_installman:
	PYTHONPATH=$$(pybuild --print build_dir |awk '{print $$3}') python3 -m click_man --target $(CURDIR) xsdata

=== debian/watch ===
Version: 5

Template: GitHub
Dist: https://github.com/tefra/xsdata
